opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
CvFuzzyRule Class Reference

`#include <contrib.hpp>`

## Public Member Functions
double | calcValue (double param1, double param2)
| CvFuzzyRule ()
CvFuzzyCurve * | getOutputCurve ()
void | setRule (CvFuzzyCurve *c1, CvFuzzyCurve *c2, CvFuzzyCurve *o1)
| ~CvFuzzyRule ()

## Constructor & Destructor Documentation

CvFuzzyRule::CvFuzzyRule | ( |  | ) |

CvFuzzyRule::~CvFuzzyRule | ( |  | ) |

## Member Function Documentation

double CvFuzzyRule::calcValue | ( | double | param1,
|  | double | param2
| ) |  |

CvFuzzyCurve* CvFuzzyRule::getOutputCurve | ( |  | ) |

void CvFuzzyRule::setRule | ( | CvFuzzyCurve * | c1,
|  | CvFuzzyCurve * | c2,
|  | CvFuzzyCurve * | o1
| ) |  |

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp